/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2010-2011 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/



#ifndef AE_MODULES_IMPORT_QBM_P_H
#define AE_MODULES_IMPORT_QBM_P_H


#include "ae_import_qbm.h"
#include "import_qbm/qbm_category.h"



static int AE_Book_ImportQbm_ReadCategory(GWEN_DB_NODE *dbCat,
                                          QBM_CATEGORY_IDMAP *catMap,
                                          QBM_CATEGORY_TREE *cats,
                                          QBM_CATEGORY *parent);

static int AE_Book_ImportQbm_ReadCategories(const char *abpath,
                                            QBM_CATEGORY_IDMAP *catMap,
                                            QBM_CATEGORY_TREE *cats);

static int AE_Book_ImportQbm_ReadTransactions(const char *abpath, AB_IMEXPORTER_CONTEXT *ctx);


static int AE_Book_ImportQbm_ReadSettings(const char *abpath, AB_IMEXPORTER_CONTEXT *ctx);


#endif
