/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2011 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AF_REPORT_PLUGINS_CSV_P_H
#define AF_REPORT_PLUGINS_CSV_P_H



#define AF_REPORT_BUILDER_TYPENAME_CSV "csv"



#include <aqfinance/report/csv.h>
#include <aqfinance/report/af_report_cfg_csv.h>


static int AF_Report_Builder_Csv_AddColumn(GWEN_SYNCIO *sio,
                                           AF_REPORT_AXIS *ax,
                                           AF_REPORT_DATAFIELD *df,
                                           const AF_REPORT_CFG_CSV *cfg);



#endif

